Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STRemoteConversation class documentation

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

### Contents -

1. Software documentation for the STRemoteConversation class
2. Software documentation for the STEnvironmentProcess protocol

# Software documentation for the STRemoteConversation class

## STRemoteConversation : STConversation

> Declared in:
>   StepTalk/STRemoteConversation.h

Description forthcoming.

Instance Variables

### Method summary

- -close
- -initWithEnvironmentName:host:language:
- -open

### close

- (void) close;
Description forthcoming.

### initWithEnvironmentName: host: language:

- (id) initWithEnvironmentName: (NSString*)envName host: (NSString*)host language: (NSString*)langName;
Description forthcoming.

### open

- (void) open;
Description forthcoming.

## Instance Variables for STRemoteConversation Class

### connection

@protected NSConnection* connection;
Description forthcoming.

### environmentName

@protected NSString* environmentName;
Description forthcoming.

### environmentProcess

@protected NSDistantObject<STEnvironmentProcess>* environmentProcess;
Description forthcoming.

### hostName

@protected NSString* hostName;
Description forthcoming.

### proxy

@protected NSDistantObject<STConversation>* proxy;
Description forthcoming.

# Software documentation for the STEnvironmentProcess protocol

## STEnvironmentProcess

> Declared in:
>   StepTalk/STRemoteConversation.h

Description forthcoming.

### Method summary

- -createConversation

### createConversation

- (STConversation*) createConversation;
Description forthcoming.

Up